# System.Runtime.CompilerServices

``` diff
 namespace System.Runtime.CompilerServices {
+    public class CallConvMemberFunction {
+        public CallConvMemberFunction();
+    }
+    public class CallConvSuppressGCTransition {
+        public CallConvSuppressGCTransition();
+    }
+    public sealed class CreateNewOnMetadataUpdateAttribute : Attribute {
+        public CreateNewOnMetadataUpdateAttribute();
+    }
+    public ref struct DefaultInterpolatedStringHandler {
+        public DefaultInterpolatedStringHandler(int literalLength, int formattedCount);
+        public DefaultInterpolatedStringHandler(int literalLength, int formattedCount, IFormatProvider provider);
+        public DefaultInterpolatedStringHandler(int literalLength, int formattedCount, IFormatProvider provider, Span<char> initialBuffer);
+        public void AppendFormatted(object value, int alignment = 0, string format = null);
+        public void AppendFormatted(ReadOnlySpan<char> value);
+        public void AppendFormatted(ReadOnlySpan<char> value, int alignment = 0, string format = null);
+        public void AppendFormatted(string value);
+        public void AppendFormatted(string value, int alignment = 0, string format = null);
+        public void AppendFormatted<T>(T value);
+        public void AppendFormatted<T>(T value, int alignment);
+        public void AppendFormatted<T>(T value, int alignment, string format);
+        public void AppendFormatted<T>(T value, string format);
+        public void AppendLiteral(string value);
+        public override string ToString();
+        public string ToStringAndClear();
+    }
+    public sealed class InterpolatedStringHandlerArgumentAttribute : Attribute {
+        public InterpolatedStringHandlerArgumentAttribute(string argument);
+        public InterpolatedStringHandlerArgumentAttribute(params string[] arguments);
+        public string[] Arguments { get; }
+    }
+    public sealed class InterpolatedStringHandlerAttribute : Attribute {
+        public InterpolatedStringHandlerAttribute();
+    }
+    public struct PoolingAsyncValueTaskMethodBuilder {
+        public ValueTask Task { get; }
+        public void AwaitOnCompleted<TAwaiter, TStateMachine>(ref TAwaiter awaiter, ref TStateMachine stateMachine) where TAwaiter : INotifyCompletion where TStateMachine : IAsyncStateMachine;
+        public void AwaitUnsafeOnCompleted<TAwaiter, TStateMachine>(ref TAwaiter awaiter, ref TStateMachine stateMachine) where TAwaiter : ICriticalNotifyCompletion where TStateMachine : IAsyncStateMachine;
+        public static PoolingAsyncValueTaskMethodBuilder Create();
+        public void SetException(Exception exception);
+        public void SetResult();
+        public void SetStateMachine(IAsyncStateMachine stateMachine);
+        public void Start<TStateMachine>(ref TStateMachine stateMachine) where TStateMachine : IAsyncStateMachine;
+    }
+    public struct PoolingAsyncValueTaskMethodBuilder<TResult> {
+        public ValueTask<TResult> Task { get; }
+        public void AwaitOnCompleted<TAwaiter, TStateMachine>(ref TAwaiter awaiter, ref TStateMachine stateMachine) where TAwaiter : INotifyCompletion where TStateMachine : IAsyncStateMachine;
+        public void AwaitUnsafeOnCompleted<TAwaiter, TStateMachine>(ref TAwaiter awaiter, ref TStateMachine stateMachine) where TAwaiter : ICriticalNotifyCompletion where TStateMachine : IAsyncStateMachine;
+        public static PoolingAsyncValueTaskMethodBuilder<TResult> Create();
+        public void SetException(Exception exception);
+        public void SetResult(TResult result);
+        public void SetStateMachine(IAsyncStateMachine stateMachine);
+        public void Start<TStateMachine>(ref TStateMachine stateMachine) where TStateMachine : IAsyncStateMachine;
+    }
     public static class RuntimeFeature {
+        public const string VirtualStaticsInInterfaces = "VirtualStaticsInInterfaces";
     }
     public static class Unsafe {
+        public static ref T Add<T>(ref T source, UIntPtr elementOffset);
+        public static ref T AddByteOffset<T>(ref T source, UIntPtr byteOffset);
+        public static ref T Subtract<T>(ref T source, UIntPtr elementOffset);
+        public static ref T SubtractByteOffset<T>(ref T source, UIntPtr byteOffset);
     }
 }
```

