# Microsoft.AspNetCore.Http.HttpResults

``` diff
 namespace Microsoft.AspNetCore.Http.HttpResults {
-    public sealed class Accepted : IEndpointMetadataProvider, IResult {
+    public sealed class Accepted : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class Accepted<TValue> : IEndpointMetadataProvider, IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class Accepted<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? IStatusCodeHttpResult.StatusCode { get; }
+        object IValueHttpResult.Value { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class AcceptedAtRoute : IEndpointMetadataProvider, IResult {
+    public sealed class AcceptedAtRoute : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
-        public string RouteName { [CompilerGeneratedAttribute] get; }
+        [NullableAttribute((byte)2)]
+        public string? RouteName { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class AcceptedAtRoute<TValue> : IEndpointMetadataProvider, IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class AcceptedAtRoute<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? IStatusCodeHttpResult.StatusCode { get; }
+        object IValueHttpResult.Value { get; }
     }
-    public sealed class BadRequest : IEndpointMetadataProvider, IResult {
+    public sealed class BadRequest : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class BadRequest<TValue> : IEndpointMetadataProvider, IResult {
+    public sealed class BadRequest<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
+        [NullableAttribute((byte)2)]
+        object? Microsoft.AspNetCore.Http.IValueHttpResult.Value { get; }
-        public TValue Value { [CompilerGeneratedAttribute] get; }
+        [NullableAttribute((byte)2)]
+        public TValue? Value { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; }
     }
-    public sealed class Conflict : IEndpointMetadataProvider, IResult {
+    public sealed class Conflict : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class Conflict<TValue> : IEndpointMetadataProvider, IResult {
+    public sealed class Conflict<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
+        [NullableAttribute((byte)2)]
+        object? Microsoft.AspNetCore.Http.IValueHttpResult.Value { get; }
-        public TValue Value { [CompilerGeneratedAttribute] get; }
+        [NullableAttribute((byte)2)]
+        public TValue? Value { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class ContentHttpResult : IResult
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class ContentHttpResult : IContentTypeHttpResult, IResult, IStatusCodeHttpResult
-    public sealed class Created : IEndpointMetadataProvider, IResult {
+    public sealed class Created : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class Created<TValue> : IEndpointMetadataProvider, IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class Created<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? IStatusCodeHttpResult.StatusCode { get; }
+        object IValueHttpResult.Value { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class CreatedAtRoute : IEndpointMetadataProvider, IResult {
+    public sealed class CreatedAtRoute : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
-        public string RouteName { [CompilerGeneratedAttribute] get; }
+        [NullableAttribute((byte)2)]
+        public string? RouteName { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class CreatedAtRoute<TValue> : IEndpointMetadataProvider, IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class CreatedAtRoute<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? IStatusCodeHttpResult.StatusCode { get; }
+        object IValueHttpResult.Value { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class FileContentHttpResult : IResult {
+    public sealed class FileContentHttpResult : IContentTypeHttpResult, IFileHttpResult, IResult {
-        public EntityTagHeaderValue EntityTag { [CompilerGeneratedAttribute] get; [CompilerGeneratedAttribute] internal set; }
+        [NullableAttribute((byte)2)]
+        public EntityTagHeaderValue? EntityTag { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] internal set; }
-        public string FileDownloadName { [CompilerGeneratedAttribute] get; [CompilerGeneratedAttribute] internal set; }
+        [NullableAttribute((byte)2)]
+        public string? FileDownloadName { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] internal set; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class FileStreamHttpResult : IResult
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class FileStreamHttpResult : IContentTypeHttpResult, IFileHttpResult, IResult
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class JsonHttpResult<TValue> : IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class JsonHttpResult<TValue> : IContentTypeHttpResult, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        object IValueHttpResult.Value { get; }
     }
-    public class NoContent : IEndpointMetadataProvider, IResult {
+    public class NoContent : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    public sealed class NotFound : IEndpointMetadataProvider, IResult {
+    public sealed class NotFound : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class NotFound<TValue> : IEndpointMetadataProvider, IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class NotFound<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? IStatusCodeHttpResult.StatusCode { get; }
+        object IValueHttpResult.Value { get; }
     }
-    public sealed class Ok : IEndpointMetadataProvider, IResult {
+    public sealed class Ok : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class Ok<TValue> : IEndpointMetadataProvider, IResult {
+    public sealed class Ok<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
+        [NullableAttribute((byte)2)]
+        object? Microsoft.AspNetCore.Http.IValueHttpResult.Value { get; }
-        public TValue Value { [CompilerGeneratedAttribute] get; }
+        [NullableAttribute((byte)2)]
+        public TValue? Value { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)1)]
-    public sealed class PhysicalFileHttpResult : IResult
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)1)]
+    public sealed class PhysicalFileHttpResult : IContentTypeHttpResult, IFileHttpResult, IResult
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)1)]
-    public sealed class ProblemHttpResult : IResult {
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)1)]
+    public sealed class ProblemHttpResult : IContentTypeHttpResult, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<ProblemDetails> {
+        int? IStatusCodeHttpResult.StatusCode { get; }
+        [NullableAttribute((byte)2)]
+        object? IValueHttpResult.Value { get; }
+        [NullableAttribute((byte)2)]
+        ProblemDetails? IValueHttpResult<ProblemDetails>.Value { get; }
-        public int? StatusCode { get; }
+        public int StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class PushStreamHttpResult : IResult
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)2)]
+    public sealed class PushStreamHttpResult : IContentTypeHttpResult, IFileHttpResult, IResult
-    public sealed class Results<TResult1, TResult2> : IEndpointMetadataProvider, IResult where TResult1 : IResult where TResult2 : IResult
+    public sealed class Results<TResult1, TResult2> : IEndpointMetadataProvider, INestedHttpResult, IResult where TResult1 : IResult where TResult2 : IResult
-    public sealed class Results<TResult1, TResult2, TResult3> : IEndpointMetadataProvider, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult
+    public sealed class Results<TResult1, TResult2, TResult3> : IEndpointMetadataProvider, INestedHttpResult, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult
-    public sealed class Results<TResult1, TResult2, TResult3, TResult4> : IEndpointMetadataProvider, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult where TResult4 : IResult
+    public sealed class Results<TResult1, TResult2, TResult3, TResult4> : IEndpointMetadataProvider, INestedHttpResult, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult where TResult4 : IResult
-    public sealed class Results<TResult1, TResult2, TResult3, TResult4, TResult5> : IEndpointMetadataProvider, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult where TResult4 : IResult where TResult5 : IResult
+    public sealed class Results<TResult1, TResult2, TResult3, TResult4, TResult5> : IEndpointMetadataProvider, INestedHttpResult, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult where TResult4 : IResult where TResult5 : IResult
-    public sealed class Results<TResult1, TResult2, TResult3, TResult4, TResult5, TResult6> : IEndpointMetadataProvider, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult where TResult4 : IResult where TResult5 : IResult where TResult6 : IResult
+    public sealed class Results<TResult1, TResult2, TResult3, TResult4, TResult5, TResult6> : IEndpointMetadataProvider, INestedHttpResult, IResult where TResult1 : IResult where TResult2 : IResult where TResult3 : IResult where TResult4 : IResult where TResult5 : IResult where TResult6 : IResult
-    public sealed class StatusCodeHttpResult : IResult {
+    public sealed class StatusCodeHttpResult : IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    public sealed class UnauthorizedHttpResult : IResult {
+    public sealed class UnauthorizedHttpResult : IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    public sealed class UnprocessableEntity : IEndpointMetadataProvider, IResult {
+    public sealed class UnprocessableEntity : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)2)]
-    public sealed class UnprocessableEntity<TValue> : IEndpointMetadataProvider, IResult {
+    public sealed class UnprocessableEntity<TValue> : IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<TValue> {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
+        [NullableAttribute((byte)2)]
+        object? Microsoft.AspNetCore.Http.IValueHttpResult.Value { get; }
-        public TValue Value { [CompilerGeneratedAttribute] get; }
+        [NullableAttribute((byte)2)]
+        public TValue? Value { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; }
     }
+    public sealed class Utf8ContentHttpResult : IContentTypeHttpResult, IResult, IStatusCodeHttpResult {
+        [NullableAttribute((byte)2)]
+        public string? ContentType { [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] get; [CompilerGeneratedAttribute, NullableContextAttribute((byte)2)] internal set; }
+        public ReadOnlyMemory<byte> ResponseContent { [CompilerGeneratedAttribute] get; [CompilerGeneratedAttribute] internal set; }
+        public int? StatusCode { [CompilerGeneratedAttribute] get; [CompilerGeneratedAttribute] internal set; }
+        [NullableContextAttribute((byte)1)]
+        public Task ExecuteAsync(HttpContext httpContext);
+    }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)1)]
-    public sealed class ValidationProblem : IEndpointMetadataProvider, IResult {
+    public sealed class ValidationProblem : IContentTypeHttpResult, IEndpointMetadataProvider, IResult, IStatusCodeHttpResult, IValueHttpResult, IValueHttpResult<HttpValidationProblemDetails> {
+        int? Microsoft.AspNetCore.Http.IStatusCodeHttpResult.StatusCode { get; }
+        [NullableAttribute((byte)2)]
+        object? Microsoft.AspNetCore.Http.IValueHttpResult.Value { get; }
+        [NullableAttribute((byte)2)]
+        HttpValidationProblemDetails? IValueHttpResult<HttpValidationProblemDetails>.Value { get; }
     }
-    [NullableAttribute((byte)0)]
-    [NullableContextAttribute((byte)1)]
-    public sealed class VirtualFileHttpResult : IResult
+    [NullableAttribute((byte)0)]
+    [NullableContextAttribute((byte)1)]
+    public sealed class VirtualFileHttpResult : IContentTypeHttpResult, IFileHttpResult, IResult
 }
```

